| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Private Attributes | List of all members
Gaudi._ConfigurablesModule Class Reference
Inheritance diagram for Gaudi._ConfigurablesModule:
[legend]
Collaboration diagram for Gaudi._ConfigurablesModule:
[legend]

## Public Member Functions
def | __init__ (self)
def | __getattr__ (self, name)

## Public Attributes
| ignoreMissingConfigurables

## Private Attributes
| __name__

## Detailed Description

Definition at line 17 of file __init__.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def Gaudi._ConfigurablesModule.__init__ | ( |  | self | ) |

Definition at line 19 of file __init__.py.

19 def __init__(self):
20 # If set to true, does not raise an AttributeError if the configurable is not found.
21 self.ignoreMissingConfigurables = False
22 self.__name__ = __configurables_module_fullname__
23

## Member Function Documentation

## ◆ __getattr__()

def Gaudi._ConfigurablesModule.__getattr__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 24 of file __init__.py.

24 def __getattr__(self, name):
25 # trigger the load of the configurables database
26 from Gaudi.Configuration import confDbGetConfigurable, cfgDb
27 from Gaudi.CommonGaudiConfigurables import aliases
28 # return value
29 retval = None
30 # handle the special cases (needed for modules): __all__, __path__
31 if name == "__all__":
32 retval = cfgDb.keys()
33 elif name == "__path__":
34 raise AttributeError("'module' object has no attribute '__path__'")
35 elif name in cfgDb.keys(): # ignore private names
36 retval = confDbGetConfigurable(name)
37 elif name in aliases: # special case of aliases
38 retval = aliases[name]
39 elif self.ignoreMissingConfigurables:
40 import logging
41 logging.getLogger(__configurables_module_fullname__).warning(
42 'Configurable class %s not in database', name)
43 else:
44 # We raise an AttributeError exception if the configurable could not be found
45 # to respect the Python semantic.
46 raise AttributeError("module '%s' does not have attribute '%s'" %
47 (__configurables_module_fullname__, name))
48 return retval
49
50
51 # install the facade module instance as a module
Gaudi.Configuration
Definition: Configuration.py:1
Gaudi.CommonGaudiConfigurables
Definition: CommonGaudiConfigurables.py:1

## Member Data Documentation

## ◆ __name__

Gaudi._ConfigurablesModule.__name__
| private

Definition at line 22 of file __init__.py.

## ◆ ignoreMissingConfigurables

Gaudi._ConfigurablesModule.ignoreMissingConfigurables

Definition at line 21 of file __init__.py.

The documentation for this class was generated from the following file:

- Gaudi/python/Gaudi/__init__.py